$primaryColor = #16a1e7

.reportTable
	background rgb(204, 204, 204)
	height 100%
	overflow hidden
	
.selectors
	background darken($primaryColor, 40%)
	border-bottom 1px solid white
	color lighten($primaryColor, 100%)
	padding 4px
	
	span.first
		display inline-block
		width 20%
		
	span.last
		display inline-block
		width 80%
		
		select
			color darken($primaryColor,40%)
			display inline
			font-size 1rem
			height 2rem
			padding 0

.chapters
	span 
		display inline-block
		width 100%

#articleCount
	padding 0px 12px 0 4px
	
	table
		font-size 1rem
		
		tr
			td:first-child
				text-align left !important
				
			td, th
				padding 5px 2px
				text-align center
				
		tbody td, tbody th
			&:hover
				background darken($primaryColor, 40%)
				color lighten($primaryColor, 100%)
				cursor pointer

.cardContent
	border 1px solid darken($primaryColor, 40%)
	margin 0.25rem
	padding 0.5rem
	border-radius 0.5rem

	.cardHeader
		margin-bottom 0.5rem !important
		.right
			margin-left 0.5rem
	
	.infoTags
		.articleID
			display block
			

		.articleType
			background darken($primaryColor, 40%)
			border-radius 4px
			color lighten($primaryColor, 100%)
			display inline-block
			font-size 0.8rem
			padding 2px 4px
		.acceptedDate
			display block
			&:before
				content: "Accepted date: ";
				font-weight: bold;
		.daysInProd
			display block
			&:before
				content: "Days in prod.: ";
				font-weight: bold;
		.ceLevel
			display block
			&:before
				content: "CE level: ";
				font-weight: bold;
		.stageName
			display block
			&:before
				content: "Stage name: ";
				font-weight: bold;
		.stageOwner
			display block
			&:before
				content: "Stage owner: ";
				font-weight: bold;
		.stageDue
			display block
			&:before
				content: "Stage due: ";
				font-weight: bold;
			
	.articleTitle, .authors
		display block
		font-size 1.1rem
		font-weight bold
		text-overflow ellipsis
		overflow hidden
		white-space nowrap
		
	.authors
		font-size 1rem
		font-weight normal
